<?php
/**
 * @file
 * Contains theme override functions and process & preprocess functions for Zentropy Subtheme.
 *
 * @TODO Add your own template_preprocess hooks here.
 */

/**
 * Implements template_preprocess_maintenance_page().
 */
function SUBTHEME_preprocess_maintenance_page(&$variables) {
  drupal_add_css(drupal_get_path('theme', 'SUBTHEME') . '/css/SUBTHEME-maintenance.css', array('group' => CSS_THEME));
}

/**
 * Implements template_preprocess_html().
 */
function SUBTHEME_preprocess_html(&$variables) {

  // Set the mode, when CSS is aggregated by Drupal Production mode is TRUE
  // Borrowed from Adaptivethemes
  $mode = variable_get('preprocess_css', '') == 1 ? TRUE : FALSE;

  // Get responsive styles fallback option
  $fallback = theme_get_setting('zentropy_responsive_fallback', 'zentropy');

  // CSS files for Internet Explorer-specific styles.
  drupal_add_css(path_to_theme() . '/css/ie/SUBTHEME-ielt9.css', array('group' => CSS_THEME, 'every_page' => TRUE, 'media' => 'screen', 'browsers' => array('IE' => 'lt IE 9', '!IE' => FALSE), 'preprocess' => FALSE));
  drupal_add_css(path_to_theme() . '/css/ie/SUBTHEME-ielt8.css', array('group' => CSS_THEME, 'every_page' => TRUE, 'media' => 'screen', 'browsers' => array('IE' => 'lt IE 8', '!IE' => FALSE), 'preprocess' => FALSE));

  // Responsive stylesheets.
  if (theme_get_setting('zentropy_responsive_enable')) {
    drupal_add_css(path_to_theme() . '/css/layout/SUBTHEME-320.css', array('preprocess' => $mode, 'group' => CSS_THEME, 'every_page' => TRUE));
    drupal_add_css(path_to_theme() . '/css/layout/SUBTHEME-480.css', array('preprocess' => $mode, 'group' => CSS_THEME, 'every_page' => TRUE));
    drupal_add_css(path_to_theme() . '/css/layout/SUBTHEME-768.css', array('preprocess' => $mode, 'group' => CSS_THEME, 'every_page' => TRUE));
    drupal_add_css(path_to_theme() . '/css/layout/SUBTHEME-992.css', array('preprocess' => $mode, 'group' => CSS_THEME, 'every_page' => TRUE));
    drupal_add_css(path_to_theme() . '/css/layout/SUBTHEME-1382.css', array('preprocess' => $mode, 'group' => CSS_THEME, 'every_page' => TRUE));

    // Styles for iPhone 4+, iPad 3+, Opera Mobile 11+ and other high pixel ratio browsers and devices.
    drupal_add_css(path_to_theme() . '/css/layout/SUBTHEME-hipixel.css', array('group' => CSS_THEME, 'every_page' => TRUE));

    // Styles for iPads (portrait & landscape).
    drupal_add_css(path_to_theme() . '/css/layout/SUBTHEME-ipad.css', array('group' => CSS_THEME, 'every_page' => TRUE));
  }
  // If not, use fallback stylesheet.
  elseif (isset($fallback) && $fallback != 0) {
    drupal_add_css(path_to_theme() . "/css/layout/SUBTHEME-{$fallback}.css", array('preprocess' => $mode, 'group' => CSS_THEME, 'every_page' => TRUE));
  }

  /* Add your own custom logic in between the following lines:
	--------------------------------------------------------------------*/







  /* STOP!!!! Don't edit this function below this line!
	--------------------------------------------------------------------*/

  // The below code comments are placeholders for Zentropy optional components downloaded and installed via Drush.
  // For more information see the section "Advanced Drush Integration" in Zentropy's README.txt or the project page on drupal.org: http://drupal.org/project/zentropy

  // To find out how to manually enable components (without Drush), read the handbook: http://drupal.org/node/1515894

  // IMPORTANT: DO NOT EDIT OR REMOVE THE LINES BELOW UNLESS YOU REALLY KNOW WHAT YOU ARE DOING!

  $zentropy_scripts_head = array();

  #modernizr#

  #easing#

  #hoverintent#

  #bgiframe#

  $variables['zentropy_scripts_head'] .= implode("\n", $zentropy_scripts_head);
}
